Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface WriteableDocument

All Superinterfaces:
  XDSDocument

All Known Subinterfaces:
  QueryResultDocument, StateDocument, StatusDocument, StatusStateDocument

All Known Implementing Classes:
  XDSCommandDocument, XDSCommandResultDocument, XDSHeartbeatDocument, XDSQueryDocument, XDSQueryResultDocument, XDSResultDocument, XDSSchemaResultDocument

public interface WriteableDocument
extends XDSDocument

Any XDS document that can be written to.

Method Summary
`XDSSourceElement` | `appendSourceElement()` Appends an empty, child `<source>` element to this document's `<nds>` element.
`void` | `empty()` Removes all child nodes from this document's `<input>` or `<output>` element.
`com.novell.nds.dirxml.driver.XmlDocument` | `toXML()` Converts this document into an `XmlDocument`.
`void` | `validate()` Validates this document.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSDocument
`domDocument, domIOElement, domNDSElement, isEmpty`

Method Detail

### validate

    public void validate()
                  throws XDSParseException

  Validates this document.

  Invocation Context:
    WRITE

  Throws:
    `XDSParseException` - if this document is malformed or invalid

### toXML

    public com.novell.nds.dirxml.driver.XmlDocument toXML()

  Converts this document into an `XmlDocument`.

  Invocation Context:
    WRITE

  Returns:
    this document as a `XmlDocument`

### empty

    public void empty()

  Removes all child nodes from this document's `<input>` or `<output>` element.

  Invocation Context:
    WRITE

### appendSourceElement

    public XDSSourceElement appendSourceElement()

  Appends an empty, child `<source>` element to this document's `<nds>` element. When called more than once, no action is taken and the same `<source>` element is returned.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD